
Katello - Bug #7143

hammer content-host package install/remove/upgrade fails

08/18/2014 03:35 PM - Adam Price

Status: Resolved   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1131230 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1131230

Description of problem:

hammer package install failed

Version-Release number of selected component (if applicable):

GA Snap 5 - Satellite-6.0.4-RHEL-6-20140813.2

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.23-1.el6_5.noarch

candlepin-common-1.0.1-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.23-1.el6_5.noarch

candlepin-tomcat6-0.9.23-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.40-1.el6sat.noarch

foreman-compute-1.6.0.40-1.el6sat.noarch

foreman-gce-1.6.0.40-1.el6sat.noarch

foreman-libvirt-1.6.0.40-1.el6sat.noarch

foreman-ovirt-1.6.0.40-1.el6sat.noarch

foreman-postgresql-1.6.0.40-1.el6sat.noarch

foreman-proxy-1.6.0.27-1.el6sat.noarch

foreman-selinux-1.6.0.6-1.el6sat.noarch

foreman-vmware-1.6.0.40-1.el6sat.noarch

katello-1.5.0-28.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.6-1.el6sat.noarch

katello-installer-0.0.59-1.el6sat.noarch

openldap-2.4.23-34.el6_5.1.x86_64

openldap-devel-2.4.23-34.el6_5.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-selinux-2.4.0-0.30.beta.el6sat.noarch

pulp-server-2.4.0-0.30.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:

Always
Steps to Reproduce:

hammer package install failed

1. hammer -v -u admin -p changeme content-host package install --content-host sat6.redhat.com --organization-id=3

--packages='["emacs","firefox"]'

[ERROR 2014-08-18 10:34:01 API] 500 Internal Server Error

1. hammer -v -u admin -p changeme content-host package install --content-host sat6.redhat.com --organization-id=3

--packages=emacs,firefox

[ERROR 2014-08-18 10:34:01 API] 500 Internal Server Error

1. hammer -v -u admin -p changeme content-host package install --content-host sat6.redhat.com --organization-id=3

--packages='[emacs,firefox]'

[ERROR 2014-08-18 10:34:01 API] 500 Internal Server Error

Actual results:

Failed as shown above

Expected results:

Package install should work fine

Additional info:

History

#1 - 08/18/2014 03:43 PM - Eric Helms

- Triaged changed from No to Yes

#2 - 09/23/2015 04:47 PM - Thomas McKay

- Status changed from New to Resolved

bugzilla marked as "closed current release"

#3 - 07/08/2016 11:11 AM - Eric Helms

- translation missing: en.field_release set to 166

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

